//
//  ForceTouchViewController.swift
//  3DTouch
//
//

import UIKit

class ForceTouchViewController: UIViewController {

    var progressView : UIProgressView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        self.view.backgroundColor = UIColor.whiteColor()
        
        progressView = UIProgressView(frame: CGRectMake(0, 0, 200, 10))
        progressView.progressTintColor = UIColor.greenColor()
        progressView.trackTintColor = UIColor.grayColor()
        progressView.center = self.view.center
        self.view.addSubview(progressView)
    }

    func showTouchForce(touches: Set<UITouch>)
    {
        for touche : UITouch in touches {
            // 押した強さをプログレスビューで表示
            progressView.progress =  Float(touche.force / touche.maximumPossibleForce)
            //print(touche.force)
            //print(touche.maximumPossibleForce)
        }
    }
    
    // タッチ開始時
    override func touchesBegan(touches: Set<UITouch>,
        withEvent event: UIEvent?){
            
            self.showTouchForce(touches)
    }
    
    // タッチ中
    override func touchesMoved(touches: Set<UITouch>,
        withEvent event: UIEvent?){
            
            self.showTouchForce(touches)
    }
    
    // タッチ終了時
    override func touchesEnded(touches: Set<UITouch>,
        withEvent event: UIEvent?){
    
            progressView.progress = 0.0
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
