//
//  MainViewController+UIViewControllerPreviewingDelegate.swift
//  3DTouch
//
//

import UIKit

extension MainViewController: UIViewControllerPreviewingDelegate {

    func previewingContext(previewingContext: UIViewControllerPreviewing, viewControllerForLocation location: CGPoint) -> UIViewController? {
        
        // テーブルビュー内での位置
        let point = self.tableView!.convertPoint(location, fromView: self.view)
        // その位置がどのセルに相当するか
        guard let indexPath = tableView!.indexPathForRowAtPoint(point) else{ return nil}
        let cell = tableView!.cellForRowAtIndexPath(indexPath)
        // セルの位置をMainViewController内での位置として返す
        previewingContext.sourceRect = self.view.convertRect(cell!.frame, fromView:self.tableView)
        
        // 遷移する画面のビューコントローラーを取得
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        // プレビュー時のサイズを指定して返却
        vc.preferredContentSize = CGSize(width: 0.0, height: self.view.bounds.size.height*0.8)
        
        return vc
    }
    
    // プレビュー後にポップして画面遷移
    func previewingContext(previewingContext: UIViewControllerPreviewing, commitViewController viewControllerToCommit: UIViewController) {
        
        // 画面遷移
        showViewController(viewControllerToCommit, sender: self)
    }

}
