//
//  PopViewController.swift
//  3DTouch
//
//

import UIKit
import MapKit

class PopViewController: UIViewController {

    var mapView: MKMapView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        // 中心の緯度経度
        let location = CLLocationCoordinate2D(
            latitude: 35.702811,
            longitude: 139.579804
        )
        // 地図の上端の緯度と下端の緯度の差
        // 地図の左端の経度と右端の経度の差
        let span = MKCoordinateSpanMake(0.01, 0.01)
        
        let region = MKCoordinateRegion(center: location, span: span)
        
        mapView = MKMapView(frame: self.view.frame)
        
        // 範囲を指定
        mapView.setRegion(region, animated: true)
        
        // MKAnnotationプロトコルを実装したクラスをコール
        let spot : Spot = Spot(title: "吉祥寺駅", subtitle: "世界一の電波塔", coordinate: location)
        // ピンを立てる
        mapView.addAnnotation(spot)
        
        self.view.addSubview(mapView)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    class Spot: NSObject,MKAnnotation {
        
        var coordinate: CLLocationCoordinate2D
        var title: String? = ""
        var subtitle: String? = ""
        
        // 初期化処理
        internal init(title: String, subtitle : String, coordinate: CLLocationCoordinate2D){
            self.coordinate = coordinate
            self.title = title
            self.subtitle = subtitle
        }
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
