//
//  DateViewController.swift
//  Base
//
//

import UIKit

class DateViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 現在の日時
        let date : NSDate = NSDate()
        print(date)
        
        // システムのタイムゾーン
        let timezone : NSTimeZone = NSTimeZone.systemTimeZone()
        // ローカルの日時
        let localDate : NSDate = NSDate(timeIntervalSinceNow: Double(timezone.secondsFromGMT))
        print(localDate)
        
        // フォーマットを指定
        let dateFormatter : NSDateFormatter = NSDateFormatter()
        dateFormatter.locale = NSLocale(localeIdentifier: "ja_JP")
        dateFormatter.dateFormat = "yyyy年MM月dd日 HH時mm分"
        
        print(dateFormatter.stringFromDate(date))
        
        // 文字列から日付データを生成
        let strDate : NSDate = dateFormatter.dateFromString("2016年3月1日 00時00分")!
        print(strDate)
        
        // 365日後の経過秒数
        let t : NSTimeInterval = 60 * 60 * 24 * 365
        // 365日後の日時
        let date1 : NSDate = NSDate(timeInterval: t, sinceDate: localDate)
        print(date1)
        
        // 等しいか?
        print(localDate.isEqualToDate(date1))
        
        // 遅い日時を表示
        print(localDate.laterDate(date1))
        
        // 早い日時を表示
        print(localDate.earlierDate(date1))
        
        // 365日後の経過秒数を加算
        let nextDate = localDate.dateByAddingTimeInterval(t)
        print(nextDate)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
