//
//  MainViewController.swift
//  Base
//
//

import UIKit


class MainViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    
    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // タイトル指定
        self.title = "第2章 サンプル"
        
        var titleObj:AnyObject;
        var vcObj:AnyObject;
        
        titleObj = "ParamViewController"
        let paramViewController : ParamViewController = ParamViewController(nibName : "ParamViewController", bundle : nil)
        vcObj = paramViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "CastViewController"
        let castViewController : CastViewController = CastViewController(nibName : "CastViewController", bundle : nil)
        vcObj = castViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "NumViewController"
        let numViewController : NumViewController = NumViewController(nibName : "NumViewController", bundle : nil)
        vcObj = numViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "OperatorViewController"
        let operatorViewController : OperatorViewController = OperatorViewController(nibName : "OperatorViewController", bundle : nil)
        vcObj = operatorViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "RangeViewController"
        let rangeViewController : RangeViewController = RangeViewController(nibName : "RangeViewController", bundle : nil)
        vcObj = rangeViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "IfViewController"
        let ifViewController : IfViewController = IfViewController(nibName : "IfViewController", bundle : nil)
        vcObj = ifViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SwitchViewController"
        let switchViewController : SwitchViewController = SwitchViewController(nibName : "SwitchViewController", bundle : nil)
        vcObj = switchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ForViewController"
        let forViewController : ForViewController = ForViewController(nibName : "ForViewController", bundle : nil)
        vcObj = forViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "WhileViewController"
        let whileViewController : WhileViewController = WhileViewController(nibName : "WhileViewController", bundle : nil)
        vcObj = whileViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ClassViewController"
        let classViewController : ClassViewController = ClassViewController(nibName : "ClassViewController", bundle : nil)
        vcObj = classViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "FuncViewController"
        let funcViewController : FuncViewController = FuncViewController(nibName : "FuncViewController", bundle : nil)
        vcObj = funcViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ExtensionViewController"
        let extensionViewController : ExtensionViewController = ExtensionViewController(nibName : "ExtensionViewController", bundle : nil)
        vcObj = extensionViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ExceptionViewController"
        let exceptionViewController : ExceptionViewController = ExceptionViewController(nibName : "ExceptionViewController", bundle : nil)
        vcObj = exceptionViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "StructuresViewController"
        let structuresViewController : StructuresViewController = StructuresViewController(nibName : "StructuresViewController", bundle : nil)
        vcObj = structuresViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "EnumViewController"
        let enumViewController : EnumViewController = EnumViewController(nibName : "EnumViewController", bundle : nil)
        vcObj = enumViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "StringViewController"
        let stringViewController : StringViewController = StringViewController(nibName : "StringViewController", bundle : nil)
        vcObj = stringViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ArrayViewController"
        let arrayViewController : ArrayViewController = ArrayViewController(nibName : "ArrayViewController", bundle : nil)
        vcObj = arrayViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DicViewController"
        let dicViewController : DicViewController = DicViewController(nibName : "DicViewController", bundle : nil)
        vcObj = dicViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DataViewController"
        let dataViewController : DataViewController = DataViewController(nibName : "DataViewController", bundle : nil)
        vcObj = dataViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DateViewController"
        let dateViewController : DateViewController = DateViewController(nibName : "DateViewController", bundle : nil)
        vcObj = dateViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count;
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell?.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}