//
//  MainViewController.swift
//  Data
//
//

import UIKit


class MainViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    
    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.title = "第8章 サンプル"
        
        var titleObj:AnyObject
        var vcObj:AnyObject
        
        titleObj = "UserDefaultsViewController"
        let userDefaultsViewController : UserDefaultsViewController = UserDefaultsViewController(nibName : "UserDefaultsViewController", bundle : nil)
        vcObj = userDefaultsViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TextViewController"
        let textViewController : TextViewController = TextViewController(nibName : "TextViewController", bundle : nil)
        vcObj = textViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TextReadViewController"
        let textReadViewController : TextReadViewController = TextReadViewController(nibName : "TextReadViewController", bundle : nil)
        vcObj = textReadViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "FilterViewController"
        let filterViewController : FilterViewController = FilterViewController(nibName : "FilterViewController", bundle : nil)
        vcObj = filterViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "MovieViewController"
        let movieViewController : MovieViewController = MovieViewController(nibName : "MovieViewController", bundle : nil)
        vcObj = movieViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "AudioViewController"
        let audioViewController : AudioViewController = AudioViewController(nibName : "AudioViewController", bundle : nil)
        vcObj = audioViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier) //as? UITableViewCell
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell?.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}

