//
//  TextReadViewController.swift
//  Data
//
//

import UIKit

class TextReadViewController: UIViewController {
    
    @IBOutlet var _textView: UITextView!
    @IBOutlet var _button: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }
    
    // 読み込みボタン押下時の処理
    @IBAction func read(sender: AnyObject) {
        // ドキュメントディレクトリにファイルを指定
        let filename: String = "test.txt"
        
        // ドキュメントディレクトリまでのパスを取得
        let documentsPath: String = NSSearchPathForDirectoriesInDomains(NSSearchPathDirectory.DocumentDirectory, NSSearchPathDomainMask.UserDomainMask, true)[0] 
        
        // コンソールに出力
        print(documentsPath)
        
        // NSURLオブジェクトを生成
        let url : NSURL = NSURL(fileURLWithPath: documentsPath)
        // パスとファイル名を結合
        let filePath : String = url.URLByAppendingPathComponent(filename).path!
        
        // コンソールに出力
        print(filePath)
        
        let fileManager : NSFileManager = NSFileManager.defaultManager()
        // ファイルが存在する場合
        if fileManager.fileExistsAtPath(filePath) {
            
            // エラー内容を受け取るNSErrorPointerオブジェクト
            let error : NSErrorPointer = nil
            // ファイル内容を取得
            do {
                let str: String = try String(contentsOfFile:filePath, encoding:NSUTF8StringEncoding)

                _textView.text = str
                
                // エラーがあれば出力
                if error != nil { print(error) }
            } catch let error1 as NSError {
                error.memory = error1
            }
            
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
