//
//  AccelerometerPullViewController.swift
//  Device
//
//

import UIKit
import CoreMotion

class AccelerometerPullViewController: UIViewController {

    @IBOutlet var textView: UITextView!
    
    var motionManager : CMMotionManager?
    var timer : NSTimer?
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // CMMotionManagerを初期化
        motionManager = CMMotionManager()
        // 加速度センサーの利用可否
        if (motionManager!.accelerometerAvailable) {
            
            motionManager!.startAccelerometerUpdates()
            timer = NSTimer.scheduledTimerWithTimeInterval(1.0/10, target: self, selector: "updateValues:", userInfo: nil, repeats: true)
        }else{
            self.textView.text = "加速度センサーは利用できません"
        }
    }

    // 取得した値を画面に表示
    func updateValues(sender:AnyObject!) {
        if let data:CMAccelerometerData = motionManager!.accelerometerData {
            textView.text = "加速度センサーの値\n-----------\nx: \(data.acceleration.x)\ny: \(data.acceleration.y)\nz: \(data.acceleration.z)"
        }
    }
    
    // 停止
    @IBAction func stop(sender: AnyObject) {
        motionManager!.stopAccelerometerUpdates()
        // タイマーを停止
        timer!.invalidate()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
