//
//  GyroPushViewController.swift
//  Device
//
//

import UIKit
import CoreMotion

class GyroPushViewController: UIViewController {

    @IBOutlet var textView: UITextView!
    
    var motionManager : CMMotionManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        motionManager = CMMotionManager()
        
        // ジャイロセンサーの利用可否
        if (motionManager!.gyroAvailable) {
            // インターバルを01.秒で指定
            motionManager!.gyroUpdateInterval = 1.0/10.0
            
            // 一定間隔でセンサーの値を取得
            motionManager!.startGyroUpdatesToQueue(NSOperationQueue.currentQueue()!, withHandler:
                // 取得した値、発生したエラーを画面に表示
                {(data:CMGyroData?, error:NSError?) -> Void in
                    var text :String
                    if(error != nil){
                        text = "エラーが発生しました: \(error)"
                    }else{
                        text = "ジャイロセンサーの値\n-----------\nx: \(data!.rotationRate.x)\ny: \(data!.rotationRate.y)\nz: \(data!.rotationRate.z)"
                    }
                    self.textView.text = text
                }
            )
        }else{
            self.textView.text = "ジャイロセンサーは利用できません"
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
