//
//  HeadingViewController.swift
//  Device
//
//

import UIKit
import CoreLocation

class HeadingViewController: UIViewController , CLLocationManagerDelegate {

    @IBOutlet var label: UILabel!
    
    var locationManager:CLLocationManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        locationManager = CLLocationManager()
        locationManager?.requestAlwaysAuthorization()
        locationManager?.delegate = self
    }
    
    // 方位の取得
    func locationManager(manager: CLLocationManager,
        didUpdateHeading newHeading: CLHeading){
            
            label.text = "\(newHeading.magneticHeading)°"
    }
    
    // 方位の取得を開始
    @IBAction func updateHeading(sender: AnyObject) {
        if CLLocationManager.locationServicesEnabled() {
            locationManager?.startUpdatingHeading()
        }
    }
    
    // 方位の取得を停止
    @IBAction func stopHeading(sender: AnyObject) {
        if CLLocationManager.locationServicesEnabled() {
            locationManager?.stopUpdatingHeading()
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
