//
//  LatLonViewController.swift
//  Device
//
//

import UIKit
import CoreLocation

class LatLonViewController: UIViewController, CLLocationManagerDelegate {

    @IBOutlet var textView: UITextView!
    
    var locationManager:CLLocationManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        locationManager = CLLocationManager()
        locationManager?.requestAlwaysAuthorization()
        locationManager?.delegate = self
    }

    
    // 位置情報の取得を開始
    @IBAction func start(sender: AnyObject) {
        if CLLocationManager.locationServicesEnabled() {
            locationManager?.startUpdatingLocation()
        }
    }
    
    // 位置情報の取得を停止
    @IBAction func stop(sender: AnyObject) {
        locationManager?.stopUpdatingLocation()
    }
    
    // 位置情報の取得
    func locationManager(manager: CLLocationManager,
        didUpdateLocations locations: [CLLocation]) {
            // 現在の位置情報を取得
            if let location : CLLocation = locations[0] {
                let latlng = location.coordinate
            
                textView.text = "現在の位置情報\n-----------\n緯度: \(latlng.latitude)\n軽度: \(latlng.longitude)"
            
                print(textView.text)
            }
    }
    
    
    func locationManager(manager: CLLocationManager,
        didFailWithError error: NSError) {
            print(error)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
