//
//  LocationViewController.swift
//  Device
//
//

import UIKit
import MapKit
import CoreLocation

class LocationViewController: UIViewController, CLLocationManagerDelegate  {

    @IBOutlet var mapView: MKMapView!
    
    var locationManager:CLLocationManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        locationManager = CLLocationManager()
        locationManager?.requestAlwaysAuthorization()
        locationManager?.delegate = self
    }
    
    @IBAction func updateLocation(sender: AnyObject) {
        if CLLocationManager.locationServicesEnabled() {
            locationManager?.startUpdatingLocation()
        }
    }
    
    
    func locationManager(manager: CLLocationManager,
        didUpdateLocations locations: [CLLocation]) {
            
            // 現在の位置情報を取得
            if let location : CLLocation = locations[0] {
                let latlng = location.coordinate
                // 500mスクウェアで領域を生成
                let reg : MKCoordinateRegion = MKCoordinateRegionMakeWithDistance(latlng, 500, 500)
                mapView.region = reg
                
                // アノテーションを生成し、表示
                let ann : MKPointAnnotation = MKPointAnnotation()
                ann.coordinate  = latlng
                ann.title = "現在地"
                mapView.addAnnotation(ann)
                
                // 位置情報の取得を停止
                locationManager?.stopUpdatingLocation()
            }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
