//
//  NotificationViewController.swift
//  Device
//
//

import UIKit

class NotificationViewController: UIViewController,UITextFieldDelegate {
    
    @IBOutlet var textField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        textField.returnKeyType = UIReturnKeyType.Done
        textField.delegate = self
        
        //キーボード表示時に呼び出す処理を登録
        NSNotificationCenter.defaultCenter().addObserver(self,
            selector: "keyboardShow:",
            name: UIKeyboardWillShowNotification,
            object: nil)
        
        //キーボード非表示時に呼び出す処理を登録
        NSNotificationCenter.defaultCenter().addObserver(self,
            selector: "keyboardHide:",
            name: UIKeyboardWillHideNotification,
            object: nil)
    }

    func keyboardShow(notification:NSNotification)
    {
        print("キーボードを表示しました")
    }
    
    func keyboardHide(notification:NSNotification)
    {
        print("キーボードを閉じました")
    }
    
    override func viewDidDisappear(animated: Bool){
        //キーボード表示／非表示の処理を削除
        NSNotificationCenter.defaultCenter().removeObserver(self, name:UIKeyboardWillShowNotification, object:nil)
    }
    
    func textFieldShouldReturn(textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
