//
//  OrientationViewController.swift
//  Device
//
//

import UIKit

class OrientationViewController: UIViewController {

    @IBOutlet var label: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        NSNotificationCenter.defaultCenter().addObserver(self,
            selector: "change:",
            name: UIDeviceOrientationDidChangeNotification,
            object: nil)
    }

    func change(notification: NSNotification)
    {
        // 端末の向きを取得
        let orientation : UIDeviceOrientation = UIDevice.currentDevice().orientation
        
        var str : String = ""
        switch (orientation) {
        case UIDeviceOrientation.Unknown:
            str = "不明"
        case UIDeviceOrientation.Portrait:
            str = "縦"
        case UIDeviceOrientation.PortraitUpsideDown:
            str = "上下が逆"
        case UIDeviceOrientation.LandscapeLeft:
            str = "左側が上"
        case UIDeviceOrientation.LandscapeRight:
            str = "右側が上"
        case UIDeviceOrientation.FaceUp:
            str = "画面が上"
        case UIDeviceOrientation.FaceDown:
            str = "画面が下"
        default:
            break
        }
        label.text = str
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
