//
//  TouchViewController.swift
//  Device
//
//

import UIKit
import LocalAuthentication

class TouchViewController: UIViewController {
    
    @IBOutlet weak var button: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.button.addTarget(self, action: "tappedButton:", forControlEvents:.TouchUpInside)
    }
    
    
    func tappedButton(sender: UIButton!) {
        
        // 認証コンテキスト
        let context = LAContext()
        
        // エラーオブジェクト
        var error: NSError?
        
        // Touch IDが利用可能な場合
        if context.canEvaluatePolicy(LAPolicy.DeviceOwnerAuthenticationWithBiometrics, error: &error) {
            // 認証実行
            context.evaluatePolicy(LAPolicy.DeviceOwnerAuthenticationWithBiometrics, localizedReason: "アクセス前の認証",
                // 認証後に実行される処理
                reply: { (success: Bool, evalPolicyError: NSError?) -> Void in
                
                // 認証成功
                if success {
                    print("認証成功")
                }
                // 認証失敗
                else{
                    print("認証失敗")
                }
            })
        }
        // Touch IDが利用不可能な場合
        else{
            print("この端末では指紋認証は利用できません")
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}