//
//  ViewController.swift
//  Device
//
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.title = "第7章 サンプル"
        
        var titleObj:AnyObject
        var vcObj:AnyObject
        
        titleObj = "AccelerometerPullViewController"
        let accelerometerPullViewController : AccelerometerPullViewController = AccelerometerPullViewController(nibName : "AccelerometerPullViewController", bundle : nil)
        vcObj = accelerometerPullViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "AccelerometerPushViewController"
        let accelerometerPushViewController : AccelerometerPushViewController = AccelerometerPushViewController(nibName : "AccelerometerPushViewController", bundle : nil)
        vcObj = accelerometerPushViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "GyroPullViewController"
        let gyroPullViewController : GyroPullViewController = GyroPullViewController(nibName : "GyroPullViewController", bundle : nil)
        vcObj = gyroPullViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "GyroPushViewController"
        let gyroPushViewController : GyroPushViewController = GyroPushViewController(nibName : "GyroPushViewController", bundle : nil)
        vcObj = gyroPushViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ProximityViewController"
        let proximityViewController : ProximityViewController = ProximityViewController(nibName : "ProximityViewController", bundle : nil)
        vcObj = proximityViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])

        titleObj = "OrientationViewController"
        let orientationViewController : OrientationViewController = OrientationViewController(nibName : "OrientationViewController", bundle : nil)
        vcObj = orientationViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "LatLonViewController"
        let latLonViewController : LatLonViewController = LatLonViewController(nibName : "LatLonViewController", bundle : nil)
        vcObj = latLonViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "LocationViewController"
        let locationViewController : LocationViewController = LocationViewController(nibName : "LocationViewController", bundle : nil)
        vcObj = locationViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "GeocoderViewController"
        let geocoderViewController : GeocoderViewController = GeocoderViewController(nibName : "GeocoderViewController", bundle : nil)
        vcObj = geocoderViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ReverseGeocoderViewController"
        let reverseGeocoderViewController : ReverseGeocoderViewController = ReverseGeocoderViewController(nibName : "ReverseGeocoderViewController", bundle : nil)
        vcObj = reverseGeocoderViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "HeadingViewController"
        let headingViewController : HeadingViewController = HeadingViewController(nibName : "HeadingViewController", bundle : nil)
        vcObj = headingViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ImagePickerViewController"
        let imagePickerViewController : ImagePickerViewController = ImagePickerViewController(nibName : "ImagePickerViewController", bundle : nil)
        vcObj = imagePickerViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "CameraViewController"
        let cameraViewController : CameraViewController = CameraViewController(nibName : "CameraViewController", bundle : nil)
        vcObj = cameraViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DeviceInfoViewController"
        let deviceInfoViewController : DeviceInfoViewController = DeviceInfoViewController(nibName : "DeviceInfoViewController", bundle : nil)
        vcObj = deviceInfoViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "CallViewController"
        let callViewController : CallViewController = CallViewController(nibName : "CallViewController", bundle : nil)
        vcObj = callViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "NotificationViewController"
        let notificationViewController : NotificationViewController = NotificationViewController(nibName : "NotificationViewController", bundle : nil)
        vcObj = notificationViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TouchViewController"
        let touchViewController : TouchViewController = TouchViewController(nibName : "TouchViewController", bundle : nil)
        vcObj = touchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell!.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

