//
//  ActionRemoveViewController.swift
//  EV
//
//

import UIKit

class ActionRemoveViewController: UIViewController {

    var button1 : UIButton = UIButton()
    var button2 : UIButton = UIButton()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 位置とサイズを指定してボタンを初期化
        button1 = UIButton(frame:CGRectMake(100, 200, 100, 30))
        // 通常時のタイトルと色を指定
        button1.setTitle(" Action ", forState: .Normal)
        button1.setTitleColor(UIColor.grayColor(), forState: .Normal)
        // ボタンを角丸に
        button1.layer.cornerRadius = 10
        // ボーダーの線の太さを指定
        button1.layer.borderWidth = 1
        // 画面に配置
        self.view.addSubview(button1)
        // ボタンを押した際に onPush メソッドを実行
        button1.addTarget(self, action: "buttonAction:", forControlEvents:.TouchUpInside)
        
        // 位置とサイズを指定してボタンを初期化
        button2 = UIButton(frame:CGRectMake(100, 300, 100, 30))
        // 通常時のタイトルと色を指定
        button2.setTitle(" Remove ", forState: .Normal)
        button2.setTitleColor(UIColor.grayColor(), forState: .Normal)
        button2.setTitleColor(UIColor.blueColor(), forState: .Highlighted)
        // ボタンを角丸に
        button2.layer.cornerRadius = 10
        // ボーダーの線の太さを指定
        button2.layer.borderWidth = 1
        // 画面に配置
        self.view.addSubview(button2)
        // ボタンを押した際に onPush メソッドを実行
        button2.addTarget(self, action: "removeAction:", forControlEvents:.TouchUpInside)
    }
    
    // ボタンを押した際の処理
    func buttonAction(sender:UIButton)
    {
        // アラートを生成
        let alert = UIAlertController(title: "ボタンが押されました。", message: "", preferredStyle: .Alert)
        // OKボタンを追加
        let okAction = UIAlertAction(title: "OK", style: .Default, handler: nil)
        alert.addAction(okAction)
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    // ボタンを押した際の処理
    func removeAction(sender:UIButton)
    {
        // button1のアクションを削除
        button1.removeTarget(self, action: "buttonAction:", forControlEvents: .TouchUpInside)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
