//
//  EdgePanViewController.swift
//  EV
//
//

import UIKit

class EdgePanViewController: UIViewController {
    
    var frontView : UIView?
    var centerX : CGFloat?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        self.view.backgroundColor = UIColor.whiteColor()
        // 右から引き出すビューを生成
        frontView = UIView(frame: CGRectMake(self.view.bounds.size.width, 0 , self.view.bounds.size.width, self.view.bounds.size.height))
        frontView?.backgroundColor = UIColor.blackColor()
        self.view.addSubview(frontView!)
        
        centerX = frontView!.center.x
        
        // 右の縁から左へのジェスチャーを定義
        let screenEdgeRecognizer = UIScreenEdgePanGestureRecognizer(target: self, action: "edgePanGestureHandler:")
        screenEdgeRecognizer.edges = UIRectEdge.Right
        // ジェスチャーを登録
        self.view.addGestureRecognizer(screenEdgeRecognizer)
    }

    func edgePanGestureHandler(sender: UIScreenEdgePanGestureRecognizer) {
        // ジェスチャー中
        if(sender.state == UIGestureRecognizerState.Began ||
            sender.state == UIGestureRecognizerState.Changed){
            // X軸方向に動かした分、frontViewを移動させる
            let translation : CGPoint = sender.locationInView(sender.view)
            frontView!.center = CGPointMake(self.view.center.x + translation.x, frontView!.center.y)
        }
        // ジェスチャー終了時
        else{
            // 0.1秒でfrontViewを元の位置に戻す
            UIView.animateWithDuration(0.1, animations:
                {() -> Void in
                    self.frontView!.center = CGPointMake(self.centerX!, self.frontView!.center.y)
                }
            )
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
