//
//  GestureViewController.swift
//  EV
//
//

import UIKit

class GestureViewController: UIViewController {

    var gestureView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        gestureView.frame = CGRectMake(0,0,50,50)
        gestureView.center = CGPointMake(self.view.center.x, self.view.center.y)
        gestureView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(gestureView)
        
        // ドラッグ時の処理を指定
        let gesture : UIPanGestureRecognizer = UIPanGestureRecognizer(target: self, action: "gestureHandler:")
        gestureView.addGestureRecognizer(gesture)
    }

    func gestureHandler(sender:UIPanGestureRecognizer){
        
        switch(sender.state){
            // ジェスチャー開始時は赤
            case UIGestureRecognizerState.Began:
                gestureView.backgroundColor = UIColor.redColor()
            // ジェスチャー中はオレンジ
            case UIGestureRecognizerState.Changed:
                gestureView.backgroundColor = UIColor.orangeColor()
            // ジェスチャー終了時はグレー
            case UIGestureRecognizerState.Ended:
                gestureView.backgroundColor = UIColor.grayColor()
            default:
                break
        }
        // ドラッグ先にビューを移動
        let point : CGPoint = sender.translationInView(self.view)
        var center : CGPoint = sender.view!.center
        center.x += point.x
        center.y += point.y
        gestureView.center = center
        sender.setTranslation(CGPointZero, inView:self.view)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
