//
//  MainViewController.swift
//  View
//
//

import UIKit

class MainViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    
    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.title = "第6章 サンプル"
        
        var titleObj:AnyObject
        var vcObj:AnyObject
        
        titleObj = "MultitouchViewController"
        let multitouchViewController : MultitouchViewController = MultitouchViewController(nibName : "MultitouchViewController", bundle : nil)
        vcObj = multitouchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TouchViewController"
        let touchViewController : TouchViewController = TouchViewController(nibName : nil, bundle : nil)
        vcObj = touchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TouchesViewController"
        let touchesViewController : TouchesViewController = TouchesViewController(nibName : nil, bundle : nil)
        vcObj = touchesViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "MotionViewController"
        let motionViewController : MotionViewController = MotionViewController(nibName : nil, bundle : nil)
        vcObj = motionViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "GestureViewController"
        let gestureViewController : GestureViewController = GestureViewController(nibName : nil, bundle : nil)
        vcObj = gestureViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TapViewController"
        let tapViewController : TapViewController = TapViewController(nibName : nil, bundle : nil)
        vcObj = tapViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "PinchViewController"
        let pinchViewController : PinchViewController = PinchViewController(nibName : nil, bundle : nil)
        vcObj = pinchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "RotationViewController"
        let rotationViewController : RotationViewController = RotationViewController(nibName : nil, bundle : nil)
        vcObj = rotationViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SwipeViewController"
        let swipeViewController : SwipeViewController = SwipeViewController(nibName : "SwipeViewController", bundle : nil)
        vcObj = swipeViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "PanViewController"
        let panViewController : PanViewController = PanViewController(nibName : nil, bundle : nil)
        vcObj = panViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "EdgePanViewController"
        let edgePanViewController : EdgePanViewController = EdgePanViewController(nibName : nil, bundle : nil)
        vcObj = edgePanViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "LongPressViewController"
        let longPressViewController : LongPressViewController = LongPressViewController(nibName : "LongPressViewController", bundle : nil)
        vcObj = longPressViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ActionViewController"
        let actionViewController : ActionViewController = ActionViewController(nibName : nil, bundle : nil)
        vcObj = actionViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ActionRemoveViewController"
        let actionremoveViewController : ActionRemoveViewController = ActionRemoveViewController(nibName : nil, bundle : nil)
        vcObj = actionremoveViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ResViewController"
        let resViewController : ResViewController = ResViewController(nibName : "ResViewController", bundle : nil)
        vcObj = resViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell?.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}