//
//  MotionViewController.swift
//  EV
//
//

import UIKit

class MotionViewController: UIViewController {

    var motionView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 揺れを反映するビュー
        motionView.frame = CGRectMake(60,100,200,200)
        motionView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(motionView)
    }
    
    // ビューコントローラーをファーストレスポンダとする
    override func canBecomeFirstResponder() -> Bool{
        return true
    }
    
    override func motionBegan(motion: UIEventSubtype,
        withEvent event: UIEvent?){
            
            // 揺れが始まったときは背景を赤に
            motionView.backgroundColor = UIColor.redColor()
    }
    
    override func motionEnded(motion: UIEventSubtype,
        withEvent event: UIEvent?){
            // 揺れが止まったときは背景を青に
            if(motion == UIEventSubtype.MotionShake){
                motionView.backgroundColor = UIColor.blueColor()
            }
    }
    
    override func motionCancelled(motion: UIEventSubtype,
        withEvent event: UIEvent?){
            self.motionEnded(motion, withEvent: event)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
