//
//  MultitouchViewController.swift
//  EV
//
//

import UIKit
import Foundation

class MultitouchViewController: UIViewController {
    
    @IBOutlet weak var label: UILabel!
    
    required init?(coder: NSCoder) {
        fatalError("NSCoding not supported")
    }
    
    override init(nibName: String?,
        bundle nibBundle: NSBundle?){
            
            super.init(nibName: nibName, bundle: nibBundle)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // タッチに反応
        self.view.userInteractionEnabled = true
        // マルチタッチに反応
        self.view.multipleTouchEnabled = true
    }
    
    // タッチ開始時の処理
    override func touchesBegan(touches: Set<UITouch>,
        withEvent event: UIEvent?)
    {
        print(touches.count)
        // マルチタッチの数を表示
        label.text = "\(touches.count) Touches"
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
    }
}