//
//  PanViewController.swift
//  EV
//
//

import UIKit

class PanViewController: UIViewController {

    var panView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        panView.frame = CGRectMake(60,100,200,200)
        panView.center = CGPointMake(self.view.center.x, self.view.center.y)
        panView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(panView)
        
        let panGesture : UIPanGestureRecognizer = UIPanGestureRecognizer(target: self, action: "panGestureHandler:")
        // ジェスチャーを登録
        panView.addGestureRecognizer(panGesture)
    }

    func panGestureHandler(pan:UIPanGestureRecognizer){
        // 移動後の位置を取得
        let point : CGPoint = pan.translationInView(self.view)
        // _panViewの中心に加算する
        var center : CGPoint = pan.view!.center
        center.x += point.x
        center.y += point.y
        panView.center = center
        // 移動後の位置を初期化
        pan.setTranslation(CGPointZero, inView:self.view)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
