//
//  PinchViewController.swift
//  EV
//
//

import UIKit

class PinchViewController: UIViewController {

    var pinchView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ピンチイン／ピンチアウト用のビュー
        pinchView.frame = CGRectMake(0,0,200,200)
        pinchView.center = CGPointMake(self.view.center.x, self.view.center.y)
        pinchView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(pinchView)
        
        // ピンチイン／ピンチアウト時の処理ををビューに指定
        let pinchRecognizer : UIPinchGestureRecognizer = UIPinchGestureRecognizer(target: self, action: "pinchGestureHandler:")
        
        // ジェスチャーを登録
        pinchView.addGestureRecognizer(pinchRecognizer)
    }

    func pinchGestureHandler(sender:UIPinchGestureRecognizer) {
        // ビューに拡大／縮小を反映
        pinchView.transform = CGAffineTransformMakeScale(sender.scale, sender.scale)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
