//
//  RotationViewController.swift
//  EV
//
//

import UIKit

class RotationViewController: UIViewController {
    
    var rotationView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 回転用のビュー
        rotationView.frame = CGRectMake(0,0,200,200)
        rotationView.center = CGPointMake(self.view.center.x, self.view.center.y)
        rotationView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(rotationView)
        
        rotationView.transform = CGAffineTransformMakeRotation(CGFloat(90.0 * (M_PI / 180.0)))
        
        // 回転時の処理をビューに指定
        let rotationGesture : UIRotationGestureRecognizer = UIRotationGestureRecognizer(target: self, action: "rotateGestureHandler:")
        
        // ジェスチャーを登録
        rotationView.addGestureRecognizer(rotationGesture)
        
    }

    func rotateGestureHandler(sender:UIRotationGestureRecognizer)
    {
        // 時計回りに回転
        sender.view!.transform = CGAffineTransformRotate(sender.view!.transform, sender.rotation)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
