//
//  TouchViewController.swift
//  EV
//
//

import UIKit

class TouchViewController: UIViewController {
    
    var pointView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        // タッチを反映するビュー
        pointView.frame = CGRectMake(0, 0, 50, 50)
        pointView.backgroundColor = UIColor.grayColor()
        self.view.addSubview(pointView)
        pointView.hidden = true
    }

    // タッチ開始時
    override func touchesBegan(touches: Set<UITouch>,
        withEvent event: UIEvent?){
        
        // Setオブジェクトの中からfirstプロパティでタッチを1つ取得
        if let touche : UITouch = touches.first {
            // タッチした位置にビューを表示
            let nowP : CGPoint = touche.locationInView(self.view)
            pointView.center = nowP
            if pointView.hidden { pointView.hidden = false }
        }
    }
    
    // タッチ中
    override func touchesMoved(touches: Set<UITouch>,
        withEvent event: UIEvent?){
        
        if let touche : UITouch = touches.first {
            // タッチした位置へビューを移動させる処理
            // タッチした位置情報
            let nowP : CGPoint = touche.locationInView(self.view)
            // 直前にタッチした位置情報
            let oldP : CGPoint = touche.previousLocationInView(self.view)
            
            // 直線にタッチした位置との差分をビューの現在の位置に加算
            let deltaX : CGFloat = nowP.x - oldP.x
            let deltaY : CGFloat = nowP.y - oldP.y
            pointView.center = CGPointMake(pointView.center.x+deltaX, pointView.center.y+deltaY)
        }
    }
    
    // タッチ終了時
    override func touchesEnded(touches: Set<UITouch>,
        withEvent event: UIEvent?){
        
        // ビューを非表示
        if !pointView.hidden { pointView.hidden = true }
    }
    
    // タッチキャンセル時
    override func touchesCancelled(touches: Set<UITouch>?,
        withEvent event: UIEvent?){
            // タッチ終了時の処理を呼ぶ
            self.touchesEnded(touches!, withEvent: event)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
