//
//  ConfigureViewController.swift
//  Net
//
//

import UIKit

class ConfigureViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // URLを指定してNSURLオブジェクトを生成
        let str : String = "http://www.wings.msn.to/image/wings.jpg"
        let url : NSURL = NSURL(string: str)!
        
        // 詳細を指定 RAMへのデータ保存を指定
        let config : NSURLSessionConfiguration = NSURLSessionConfiguration.ephemeralSessionConfiguration()
        // キャリア回線を利用
        config.allowsCellularAccess = true
        // 状況に応じて優先度を下げる
        config.discretionary = true
        // NSURLSessionオブジェクトを生成
        let session : NSURLSession = NSURLSession(configuration: config)
        let task : NSURLSessionDataTask = session.dataTaskWithURL(url, completionHandler: {(data, response, error) in
            
            // エラーがあれば出力
            if error != nil {
                print(error)
                return
            }
            dispatch_async(dispatch_get_main_queue(), {
                // 画面中央に取得した画像を表示
                let image : UIImage = UIImage(data: data!)!
                let iv : UIImageView = UIImageView(image: image)
                iv.center = self.view.center
                self.view.addSubview(iv)
            })
        })
        task.resume()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
