//
//  DownloadViewController.swift
//  Net
//
//

import UIKit

class DownloadViewController: UIViewController, NSURLSessionDownloadDelegate {

    @IBOutlet var progressView: UIProgressView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func onDownload(sender: AnyObject) {
        
        // URLを指定してNSURLオブジェクトを生成
        let str : String = "http://www.wings.msn.to/image/wings.jpg"
        let url : NSURL = NSURL(string: str)!
        // デリゲートを指定してダウンロード
        let config : NSURLSessionConfiguration = NSURLSessionConfiguration.defaultSessionConfiguration()
        let operationQueue = NSOperationQueue()
        let session : NSURLSession = NSURLSession(configuration: config, delegate: self, delegateQueue: operationQueue)
        let task : NSURLSessionDownloadTask = session.downloadTaskWithURL(url)
        task.resume()
        
    }
    
    // ダウンロード中の処理
    func URLSession(session: NSURLSession,
        downloadTask: NSURLSessionDownloadTask,
        didWriteData bytesWritten: Int64,
        totalBytesWritten: Int64,
        totalBytesExpectedToWrite: Int64)
    {
        print(totalBytesExpectedToWrite)
        dispatch_async(dispatch_get_main_queue(), {
            // ダウンロードするトータルのサイズに対する現在ダウンロードしたサイズの割合
            let progress : Float = Float(totalBytesWritten)/Float(totalBytesExpectedToWrite)
            // プログレスビューに進捗度合いとして表示
            self.progressView.setProgress(progress, animated: true)
        })
    }
    
    // ダウンロード完了時の処理
    func URLSession(session: NSURLSession,
        downloadTask: NSURLSessionDownloadTask,
        didFinishDownloadingToURL location: NSURL)
    {
        // ダウンローした画像を保存
        let filename: String = "sample.jpg"
        let manager = NSFileManager.defaultManager()
        let docURL = try! manager.URLForDirectory(.DocumentDirectory, inDomain:.UserDomainMask, appropriateForURL:nil, create:true)
        let filePathURL: NSURL = docURL.URLByAppendingPathComponent(filename)
        
        // ファイルがすでに存在する場合は削除
        do{
            try manager.removeItemAtURL(filePathURL)
        }catch{}
        // 保存
        do{
            try manager.moveItemAtURL(location, toURL: filePathURL)
            print(filePathURL)
        }catch{}
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
