//
//  JsonViewController.swift
//  Net
//
//

import UIKit

class JsonViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        //  Google Feed APIにアクセスし、gihyo.jpのRSSをJSONで取得
        let str : String = "http://ajax.googleapis.com/ajax/services/feed/load?v=1.0&q=http://gihyo.jp/feed/rss2&num=10"
        let url : NSURL = NSURL(string: str)!
        
        // NSURLRequestを生成してJSONのデータを取得
        let request: NSURLRequest = NSURLRequest(URL:url)
        let session = NSURLSession.sharedSession()
        let task : NSURLSessionDataTask = session.dataTaskWithRequest(request, completionHandler: {(data, response, error) in
            // エラーがあれば表示
            if(error != nil) {
                print(error)
                return
            }
            do{
              // JSONを辞書オブジェクトに変換
              let jsonResult = try NSJSONSerialization.JSONObjectWithData(data!, options: NSJSONReadingOptions.MutableContainers) as! NSMutableDictionary
            //print(jsonResult)
            
              // responseDataキー以下を辞書として取得
              let responseData = jsonResult["responseData"] as! NSDictionary
              // resultsキー以下を辞書で取得
              let feed = responseData["feed"] as! NSDictionary
              // entriesキー以下を配列で取得
              let entries = feed["entries"] as! NSArray
              for entry in entries {
                  // タイトルとURLと著者を表示
                  print(entry["title"])
                  print(entry["link"])
                  print(entry["author"])
              }
            }catch{
                print("JSONの解析でエラーが起きました")
            }
        })
        task.resume()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
