//
//  MainViewController.swift
//  Net
//
//

import UIKit

class MainViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    
    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.title = "第9章 サンプル"
        
        var titleObj:AnyObject
        var vcObj:AnyObject
        
        titleObj = "URLSessionViewController"
        let uRLSessionViewController : URLSessionViewController = URLSessionViewController(nibName : "URLSessionViewController", bundle : nil)
        vcObj = uRLSessionViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ConfigureViewController"
        let configureViewController : ConfigureViewController = ConfigureViewController(nibName : "ConfigureViewController", bundle : nil)
        vcObj = configureViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DwonloadViewController"
        let downloadViewController : DownloadViewController = DownloadViewController(nibName : "DownloadViewController", bundle : nil)
        vcObj = downloadViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "BackgroundViewController"
        let backgroundViewController : BackgroundViewController = BackgroundViewController(nibName : "BackgroundViewController", bundle : nil)
        vcObj = backgroundViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "StatusCodeViewController"
        let statusCodeViewController : StatusCodeViewController = StatusCodeViewController(nibName : "StatusCodeViewController", bundle : nil)
        vcObj = statusCodeViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "JsonViewController"
        let jsonViewController : JsonViewController = JsonViewController(nibName : "JsonViewController", bundle : nil)
        vcObj = jsonViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SafariViewController"
        let safariViewController : SafariViewController = SafariViewController(nibName : "SafariViewController", bundle : nil)
        vcObj = safariViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell?.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}

