//
//  SafariViewController.swift
//  Net
//
//

import UIKit
import SafariServices

class SafariViewController: UIViewController, SFSafariViewControllerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let button : UIButton = UIButton(type: UIButtonType.System)
        button.frame = CGRectMake(0, 0, 120, 40)
        button.titleLabel!.font = UIFont(name: "Arial", size:14.0)
        button.titleLabel!.lineBreakMode   = NSLineBreakMode.ByTruncatingTail
        button.setTitle("Button", forState: UIControlState.Normal)
        button.center = self.view.center
        self.view.addSubview(button)
        // ボタンを押した際に onPush メソッドを実行
        button.addTarget(self, action: "buttonAction:", forControlEvents:.TouchUpInside)
    }

    // ボタンを押した際の処理
    func buttonAction(sender:UIButton)
    {
        let url : NSURL = NSURL(string: "http://www.apple.com")!
        let safari = SFSafariViewController(URL: url, entersReaderIfAvailable: true)
        safari.delegate = self
        // 画面に表示
        presentViewController(safari, animated: true, completion: nil)
    }
    
    // URLにアクセスした際の処理
    func safariViewController(controller: SFSafariViewController,
        didCompleteInitialLoad didLoadSuccessfully: Bool)
    {
        print(didLoadSuccessfully)
    }
    
    // 終了時の処理
    func safariViewControllerDidFinish(controller: SFSafariViewController) {
        print("close")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
