//
//  URLSessionViewController.swift
//  Net
//
//

import UIKit

class URLSessionViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // URLを指定してNSURLオブジェクトを生成
        let str : String = "http://www.wings.msn.to/image/wings.jpg"
        let url : NSURL = NSURL(string: str)!
        
        // HTTPリクエストオブジェクトを生成
        let request = NSURLRequest(URL: url)
        // HTTPセッションを生成
        let session : NSURLSession = NSURLSession.sharedSession()
        // ダウンロードの方法を定義
        let task : NSURLSessionDataTask = session.dataTaskWithRequest(request, completionHandler: {(data, response, error) in
            
            // エラーがあれば出力
            if error != nil {
                print(error)
                return
            }
            
            // メインのスレッドで処理を行う
            dispatch_async(dispatch_get_main_queue(), {
                // 画面中央に取得した画像を表示
                let image : UIImage = UIImage(data: data!)!
                let iv : UIImageView = UIImageView(image: image)
                iv.center = self.view.center
                self.view.addSubview(iv)
            })
        })
        // HTTP通信を開始
        task.resume()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
