//
//  ContentTableViewController.swift
//  Pop
//
//

import UIKit

class ContentTableViewController: UITableViewController {

    // デリゲートを参照するプロパティ
    var delegate:ContentPopoverDelegate?
    
    let items :Array<String> = ["Select1",
                        "Select2",
                        "Select3"]
    let kCellIdentifier = "CellIdentifier"
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Uncomment the following line to preserve selection between presentations
        // self.clearsSelectionOnViewWillAppear = false
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // #warning Potentially incomplete method implementation.
        // Return the number of sections.
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete method implementation.
        // Return the number of rows in the section.
        return self.items.count
    }

    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        //let cell = tableView.dequeueReusableCellWithIdentifier("reuseIdentifier", forIndexPath: indexPath) as! UITableViewCell

        // Configure the cell...
        var cell = tableView.dequeueReusableCellWithIdentifier(
            kCellIdentifier)
        if cell == nil {
            cell = UITableViewCell(style: UITableViewCellStyle.Default,
                reuseIdentifier: kCellIdentifier)
        }
        
        cell?.textLabel?.text = self.items[indexPath.row]
        
        return cell!
    }
    
    // セル画選択された際の処理
    override func tableView(tableView: UITableView?, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        // 選択したセルのテキスト
        let item : String = self.items[indexPath.row]
        // デリゲートを実装したオブジェクトがselectItem:メソッドを存在する場合のみ実装先のselectItem:メソッドを実行
        if (self.delegate?.respondsToSelector("didSelect:")) != nil {
            // 実装先のselectItem:メソッドを実行
            delegate?.didSelect(item)
        }
    }
}

protocol ContentPopoverDelegate : NSObjectProtocol {
    func didSelect(word:String)
}
    
    /*
    // Override to support conditional editing of the table view.
    override func tableView(tableView: UITableView, canEditRowAtIndexPath indexPath: NSIndexPath) -> Bool {
        // Return NO if you do not want the specified item to be editable.
        return true
    }
    */

    /*
    // Override to support editing the table view.
    override func tableView(tableView: UITableView, commitEditingStyle editingStyle: UITableViewCellEditingStyle, forRowAtIndexPath indexPath: NSIndexPath) {
        if editingStyle == .Delete {
            // Delete the row from the data source
            tableView.deleteRowsAtIndexPaths([indexPath], withRowAnimation: .Fade)
        } else if editingStyle == .Insert {
            // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
        }    
    }
    */

    /*
    // Override to support rearranging the table view.
    override func tableView(tableView: UITableView, moveRowAtIndexPath fromIndexPath: NSIndexPath, toIndexPath: NSIndexPath) {

    }
    */

    /*
    // Override to support conditional rearranging of the table view.
    override func tableView(tableView: UITableView, canMoveRowAtIndexPath indexPath: NSIndexPath) -> Bool {
        // Return NO if you do not want the item to be re-orderable.
        return true
    }
    */

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using [segue destinationViewController].
        // Pass the selected object to the new view controller.
    }
    */

