//
//  MailViewController.swift
//  Social
//
//

import UIKit
import MessageUI

class MailViewController: UIViewController , MFMailComposeViewControllerDelegate {
    

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func mail(sender: AnyObject) {
        let mcvc = MFMailComposeViewController()
        
        mcvc.mailComposeDelegate = self
        // メール件名をセット
        mcvc.setSubject("アプリからのメール")
        // メール本文をHTMLメールでセット
        let body = "<h1>アプリからメールを送信します</h1><p>公園で休憩中です。</p>"
        mcvc.setMessageBody(body, isHTML: true)
        // 画像ファイルを添付
        mcvc.addAttachmentData(UIImageJPEGRepresentation(UIImage(named:"sample.jpg")!, 100)!, mimeType: "image/jpeg", fileName: "pickerimage.jpg")
        // 宛先をセット
        mcvc.setToRecipients(nil)
        self.presentViewController(mcvc, animated: true, completion: nil)
    }
    
    func mailComposeController(controller:MFMailComposeViewController, didFinishWithResult result:MFMailComposeResult, error:NSError?) {
        
        // ビューコントローラーを閉じる
        self.dismissViewControllerAnimated(true, completion: nil)
        
        switch result.rawValue {
            // キャンセルした場合
            case MFMailComposeResultCancelled.rawValue:
                self.setAlert("キャンセルしました")
            // 保存した場合
            case MFMailComposeResultSaved.rawValue:
                self.setAlert("保存しました")
            // 送信した場合
            case MFMailComposeResultSent.rawValue:
                self.setAlert("送信しました")
            // 失敗した場合
            case MFMailComposeResultFailed.rawValue:
                self.setAlert("送信に失敗しました")
            default:
                break
        }
    }
    
    func setAlert(str:String){
        // 処理の完了時にはアラートを出す
        let alert = UIAlertController(title: str, message: "", preferredStyle: .Alert)
        // OKボタンを追加
        let okAction = UIAlertAction(title: "OK", style: .Default, handler: nil)
        alert.addAction(okAction)
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
