//
//  MessageViewController.swift
//  Social
//
//

import UIKit
import MessageUI

class MessageViewController: UIViewController, MFMessageComposeViewControllerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func message(sender: AnyObject) {
        
        let mv = MFMessageComposeViewController()
        
        mv.messageComposeDelegate = self
         // 本文と宛先をセット
        mv.body = "アプリからのメッセージ送信"
        mv.recipients = nil
        self.presentViewController(mv, animated: true, completion: nil)
    }
    
    func messageComposeViewController(controller: MFMessageComposeViewController, didFinishWithResult result: MessageComposeResult) {
        
        // ビューコントローラーを閉じる
        controller.dismissViewControllerAnimated(true, completion: nil)
        
        switch result.rawValue {
             // キャンセルした場合
            case MessageComposeResultCancelled.rawValue:
                self.setAlert("キャンセルしました")
            // 送信した場合
            case MessageComposeResultFailed.rawValue:
                self.setAlert("送信しました")
            // 失敗した場合
            case MessageComposeResultSent.rawValue:
                self.setAlert("送信に失敗しました")
            default:
                break
        }
        
    }
    
    func setAlert(str:String){
        // 処理の完了時にはアラートを出す
        let alert = UIAlertController(title: str, message: "", preferredStyle: .Alert)
        // OKボタンを追加
        let okAction = UIAlertAction(title: "OK", style: .Default, handler: nil)
        alert.addAction(okAction)
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
