//
//  RequestViewController.swift
//  Social
//
//

import UIKit
import Accounts
import Social

class RequestViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func postTwitter(sender: AnyObject) {
        // 初期化処理
        let account = ACAccountStore()
        // Twitterのアカウントを取得
        let accountType : ACAccountType = account.accountTypeWithAccountTypeIdentifier(ACAccountTypeIdentifierTwitter)
        
        // アカウントが設定されているか確認
        account.requestAccessToAccountsWithType(accountType, options: nil,
            completion: { (granted, error) in
                // アカウントが利用可能
                if (granted) {
                    let accountArray: NSArray = account.accountsWithAccountType(accountType)
                    
                    if (accountArray.count > 0) {
                        // Twitterアカウントの最初に保存されているアカウントを利用
                        let account : ACAccount = accountArray[0] as! ACAccount
                        
                        print(account)
                        // Twitter APIのURL
                        let requestAPI = NSURL(string:"https://api.twitter.com/1.1/statuses/update.json")
                        // パラメータ
                        let parameters = ["status" : "アプリからの投稿"]
                        // 初期化処理
                        let request = SLRequest(forServiceType: SLServiceTypeTwitter, requestMethod: SLRequestMethod.POST, URL: requestAPI, parameters: parameters)
                        
                        // 投稿するアカウントの指定
                        request.account = account
                        // リクエストを実行
                        request.performRequestWithHandler{ (response, urlResponse, error) in
                            // 実行結果をログに出力
                            print(urlResponse.statusCode)
                        }
                    }
                }
        })
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
