//
//  TweetViewController.swift
//  Social
//
//

import UIKit
import Social

class TweetViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    // Twitterへの投稿
    @IBAction func twitter(sender: AnyObject) {
        self.postMedia(SLServiceTypeTwitter)
    }
    
    // Facebookへの投稿
    @IBAction func facebook(sender: AnyObject) {
        self.postMedia(SLServiceTypeFacebook)
    }
    
    func postMedia(type:String)
    {
        // 利用できるかを判定
        if(SLComposeViewController.isAvailableForServiceType(type))
        {
            // 初期化処理
            let SocialMedia :SLComposeViewController = SLComposeViewController(forServiceType: type)
            // 本文をセット
            SocialMedia.setInitialText("アプリからの投稿")
            // 画像を添付
            SocialMedia.addImage(UIImage(named:"sample.jpg")!)
            // URLを添付
            SocialMedia.addURL(NSURL(string: "http://www.apple.co.jp/"))
            // ハンドラを指定
            SocialMedia.completionHandler = {(result: SLComposeViewControllerResult) in
                // 成功時にUIを閉じる
                if(result==SLComposeViewControllerResult.Done){
                    self.dismissViewControllerAnimated(true, completion: nil)
                }
            }
            // SLComposeViewControllerを表示
            self.presentViewController(SocialMedia, animated: true, completion: nil)
        }
    }
    
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
