//
//  AppDelegate.swift
//  Split
//
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate , UISplitViewControllerDelegate{

    var window: UIWindow?


    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
        // Override point for customization after application launch.
        
        // ウィンドウのサイズを指定
        self.window = UIWindow(frame: UIScreen.mainScreen().bounds)
        
        // primaryを準備
        let masterViewController = MasterViewController(nibName : nil, bundle : nil)
        let masterNavigationController = UINavigationController(rootViewController: masterViewController)
        
        // secondaryを準備
        let detailViewController = DetailViewController(nibName : nil, bundle : nil)
        let detailNavigationController = UINavigationController(rootViewController: detailViewController)
        
        
        // UISplitViewControllerを準備
        let splitViewController = UISplitViewController()
        splitViewController.delegate = self
        
        
        splitViewController.viewControllers = [masterNavigationController, detailNavigationController]
        
        // 画面分割の形式を指定
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.Automatic
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.PrimaryHidden
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.AllVisible
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.PrimaryOverlay
        
        // 左側の画面を開閉するボタン
        detailViewController.navigationItem.leftBarButtonItem = splitViewController.displayModeButtonItem()
        detailViewController.navigationItem.leftItemsSupplementBackButton = true
        
        
        self.window!.rootViewController = splitViewController
        
        
        // windowを表示
        self.window!.makeKeyAndVisible()
        
        return true
    }
    
    func applicationWillResignActive(application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(application: UIApplication) {
        // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }

}

