//
//  AlertViewController.swift
//  UI
//
//

import UIKit

class AlertViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func onAlert(sender: AnyObject) {
        // アラートを生成
        let alert = UIAlertController(title: "Alert", message: "アラートのサンプルです", preferredStyle: .Alert)
        // OKボタンを追加
        let okAction = UIAlertAction(title: "OK", style: .Default, handler: nil)
        alert.addAction(okAction)
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    @IBAction func onLogin(sender: AnyObject) {
        // アラートを生成
        let alert = UIAlertController( title:"ログイン", message: "ID,パスワードを入力してください",
            preferredStyle: UIAlertControllerStyle.Alert)
        
        // ログインID入力欄を追加
        alert.addTextFieldWithConfigurationHandler( { (login: UITextField) -> Void in
            // プレースホルダ
            login.placeholder = "Login ID"
        })
        
        // パスワード入力欄を追加
        alert.addTextFieldWithConfigurationHandler( { (pass: UITextField) -> Void in
            // プレースホルダ
            pass.placeholder = "Password"
            // 入力した文字を見えなくする
            pass.secureTextEntry = true
        })
        
        // OKボタンと動きを定義
        let alertAction : UIAlertAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.Default, handler: {
            (action: UIAlertAction) -> Void in
            // ログインIDの入力欄の値を参照
            let loginTf = alert.textFields![0] 
            print("Login : \(loginTf.text)")
            // パスワードの入力欄の値を参照
            let passTf = alert.textFields![1] 
            print("Pass : \(passTf.text)")
            
        })
        
        // ボタンを追加
        alert.addAction(alertAction)
        
        // キャンセルボタンを追加
        alert.addAction(UIAlertAction(title: "Cancel", style: UIAlertActionStyle.Cancel, handler: nil))
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    @IBAction func onLogout(sender: AnyObject) {
        // アラートを生成
        let alert : UIAlertController = UIAlertController( title:"ログアウトします", message: "よろしいですか？",
            preferredStyle: UIAlertControllerStyle.Alert)
        
        // OKボタンと動きを定義
        let alertAction : UIAlertAction = UIAlertAction(title: "OK", style: UIAlertActionStyle.Default, handler: {
                        (action: UIAlertAction) -> Void in
                            print("ログアウトしました")
                        })
        // ボタンを追加
        alert.addAction( alertAction )
        
        // キャンセルボタンを追加
        alert.addAction(UIAlertAction(title: "Cancel", style: UIAlertActionStyle.Cancel, handler: nil))
        // 表示
        presentViewController(alert, animated: true, completion: nil)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
