//
//  ButtonViewController.swift
//  UI
//
//

import UIKit

class ButtonViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let button : UIButton = UIButton(type: UIButtonType.System)
        button.frame = CGRectMake(110,100,100,30)
        // タイトルのフォント、文字サイズを指定
        button.titleLabel!.font = UIFont(name: "Arial", size:14.0)
        button.setTitle("ボタン", forState: UIControlState.Normal)
        button.setTitleColor(UIColor.blackColor(), forState: UIControlState.Normal)
        button.setTitleColor(UIColor.blueColor(), forState: UIControlState.Highlighted)
        button.tintAdjustmentMode = UIViewTintAdjustmentMode.Normal
        self.view.addSubview(button)
        
        // 画像を利用したボタン
        let button2 : UIButton = UIButton(type: UIButtonType.Custom)
        button2.frame = CGRectMake(110,200,100,30)
        button2.titleLabel!.font = UIFont(name: "Arial", size:14.0)
        // 通常は文字色を白に、背景画像を黒に
        button2.setTitle("Button", forState: UIControlState.Normal)
        button2.setTitleColor(UIColor.whiteColor(), forState: UIControlState.Normal)
        button2.setBackgroundImage(UIImage(named: "images/blackButton.png"), forState:UIControlState.Normal)
        
        // ハイライト時は文字色を黒に、背景画像を灰色に
        button2.setTitle("Button", forState: UIControlState.Highlighted)
        button2.setTitleColor(UIColor.blackColor(), forState: UIControlState.Highlighted)
        button2.setBackgroundImage(UIImage(named: "images/grayButton.png"), forState:UIControlState.Highlighted)
        
        self.view.addSubview(button2)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
