//
//  MainViewController.swift
//  View
//
//

import UIKit

class MainViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    
    
    let kTitleKey: String = "title"
    let kViewControllerKey: String = "viewController"
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, AnyObject>> = Array<Dictionary<String, AnyObject>>()
    
    //var _menuList: Array<Dictionary> = Array<Dictionary>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.title = "第5章 サンプル"
        
        var titleObj:AnyObject
        var vcObj:AnyObject
        
        titleObj = "TextFieldViewController"
        let textFieldViewController : TextFieldViewController = TextFieldViewController(nibName : "TextFieldViewController", bundle : nil)
        vcObj = textFieldViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TextFieldDetailViewController"
        let textFieldDetailViewController : TextFieldDetailViewController = TextFieldDetailViewController(nibName : "TextFieldDetailViewController", bundle : nil)
        vcObj = textFieldDetailViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ButtonViewController"
        let buttonViewController : ButtonViewController = ButtonViewController(nibName : nil, bundle : nil)
        vcObj = buttonViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ButtonStyleViewController"
        let buttonStyleViewController : ButtonStyleViewController = ButtonStyleViewController(nibName : nil, bundle : nil)
        vcObj = buttonStyleViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SwitchViewController "
        let switchViewController  : SwitchViewController  = SwitchViewController (nibName : nil, bundle : nil)
        vcObj = switchViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SegmentedControlViewController"
        let segmentedControlViewController : SegmentedControlViewController = SegmentedControlViewController(nibName : nil, bundle : nil)
        vcObj = segmentedControlViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SegmentedDetailViewController"
        let segmentedDetailViewController : SegmentedDetailViewController = SegmentedDetailViewController(nibName : nil, bundle : nil)
        vcObj = segmentedDetailViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SliderViewController"
        let sliderViewController : SliderViewController = SliderViewController(nibName : nil, bundle : nil)
        vcObj = sliderViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "StepperViewController"
        let stepperViewController : StepperViewController = StepperViewController(nibName : nil, bundle : nil)
        vcObj = stepperViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "PickerViewController"
        let pickerViewController : PickerViewController = PickerViewController(nibName : "PickerViewController", bundle : nil)
        vcObj = pickerViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "DatePickerViewController"
        let datePickerViewController : DatePickerViewController = DatePickerViewController(nibName : nil, bundle : nil)
        vcObj = datePickerViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SearchBarViewController"
        let searchBarViewController : SearchBarViewController = SearchBarViewController(nibName : nil, bundle : nil)
        vcObj = searchBarViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "SearchBarDetailViewController"
        let searchBarDetailViewController : SearchBarDetailViewController = SearchBarDetailViewController(nibName : nil, bundle : nil)
        vcObj = searchBarDetailViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ToolbarViewController"
        let toolbarViewController : ToolbarViewController = ToolbarViewController(nibName : nil, bundle : nil)
        vcObj = toolbarViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ToolbarItemsViewController"
        let toolbarItemsViewController : ToolbarItemsViewController = ToolbarItemsViewController(nibName : nil, bundle : nil)
        vcObj = toolbarItemsViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TabBarViewController"
        let tabBarViewController : TabBarViewController =  TabBarViewController(nibName : nil, bundle : nil)
        vcObj = tabBarViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "TabBarItemsViewController"
        let tabBarItemsViewController : TabBarItemsViewController = TabBarItemsViewController(nibName : nil, bundle : nil)
        vcObj = tabBarItemsViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "NavigationBarViewController"
        let navigationBarViewController : NavigationBarViewController = NavigationBarViewController(nibName : nil, bundle : nil)
        vcObj = navigationBarViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "NavigationBarItemsViewController"
        let navigationBarItemsViewController : NavigationBarItemsViewController = NavigationBarItemsViewController(nibName : nil, bundle : nil)
        vcObj = navigationBarItemsViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "AlertViewController"
        let alertViewController : AlertViewController = AlertViewController(nibName : "AlertViewController", bundle : nil)
        vcObj = alertViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        titleObj = "ActionSheetViewController"
        let actionSheetViewController : ActionSheetViewController = ActionSheetViewController(nibName : "ActionSheetViewController", bundle : nil)
        vcObj = actionSheetViewController
        _menuList.append([kTitleKey: titleObj, kViewControllerKey: vcObj])
        
        tableView = UITableView()
        tableView!.frame = self.view.frame
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        let vc = _menuList[indexPath.row][kViewControllerKey] as! UIViewController
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return _menuList.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            
            cell?.textLabel?.text = _menuList[indexPath.row][kTitleKey] as? String
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation
    
    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    // Get the new view controller using segue.destinationViewController.
    // Pass the selected object to the new view controller.
    }
    */
    
}