//
//  NavigationBarItemsViewController.swift
//  UI
//
//

import UIKit

class NavigationBarItemsViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ナビゲーションバーを生成
        let navBar : UINavigationBar = UINavigationBar(frame:CGRectMake(0, 65, 320, 40))
        navBar.barStyle = UIBarStyle.Default
        navBar.translucent = false
        
        // ナビゲーションアイテムを生成
        let navItem : UINavigationItem = UINavigationItem(title:"test")
        
        // 右側のボタン
        let rightBtn1 : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.Add, target: self, action: "action:")
        
        let rightBtn2 : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.Save, target: self, action: "action:")
        
        
        navItem.rightBarButtonItems = [rightBtn1, rightBtn2]
        
        // 左側のボタン
        let leftBtn1 : UIBarButtonItem = UIBarButtonItem(title: "戻る", style: UIBarButtonItemStyle.Plain, target: self, action: "action:")
        
        let leftBtn2 : UIBarButtonItem = UIBarButtonItem(title: "進む", style: UIBarButtonItemStyle.Plain, target: self, action: "action:")
        
        navItem.leftBarButtonItems = [leftBtn1, leftBtn2]
        
        // ナビゲーションバーにナビゲーションアイテムを指定
        navBar.pushNavigationItem(navItem, animated: true)
        
        
        self.view.addSubview(navBar)
        
        self.navigationItem.leftBarButtonItem?.enabled = true
        self.navigationItem.rightBarButtonItem?.enabled = true
    }

    func action(sender:AnyObject){
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
