
//
//  SearchBarDetailViewController.swift
//  UI
//
//

import UIKit

class SearchBarDetailViewController: UIViewController , UISearchBarDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let searchBar : UISearchBar = UISearchBar(frame:CGRectMake(0.0, 100.0, self.view.bounds.size.width, 44.0))
        searchBar.delegate = self
        
        // 各種ボタンを表示
        searchBar.showsCancelButton = true
        searchBar.showsBookmarkButton = true
        searchBar.showsSearchResultsButton = true
        
        // 見出し、プレースホルダの表示
        searchBar.prompt = "年代別検索"
        searchBar.placeholder = "検索ワード"
        
        // スコープバーの利用
        searchBar.keyboardType = UIKeyboardType.Default
        searchBar.showsScopeBar = true
        searchBar.scopeButtonTitles = ["2014", "2015", "2016", "すべて"]
        
        // 枠と文字を灰色に
        searchBar.tintColor = UIColor.grayColor()
        //searchBar.barTintColor = UIColor.whiteColor()
        
        self.view.addSubview(searchBar)
    }

    func searchBarCancelButtonClicked(searchBar: UISearchBar){
        // 検索フォームを空にする
        searchBar.text = ""
    }
    func searchBar(searchBar: UISearchBar,
        selectedScopeButtonIndexDidChange selectedScope: Int){
            // スコープのインデックスを取得
            print(selectedScope)
    }
    
    func searchBar(searchBar: UISearchBar,
        textDidChange searchText: String){
            // 再建策の処理など
    }
    
    func searchBarSearchButtonClicked(searchBar: UISearchBar){
        // 検索ボタン押下時の処理
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
