//
//  SegmentedDetailViewController.swift
//  UI
//
//

import UIKit

class SegmentedDetailViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 選択項目を定義
        let items : Array<String> = ["iPhone", "iPod", "iPad", "iPad mini"]
        
        let segment : UISegmentedControl = UISegmentedControl(items: items)
        
        segment.frame = CGRectMake(20, 100, 280, 64)
        // 2番目の選択肢を選択状態に
        segment.selectedSegmentIndex = 2
        // 選択した際に選択したままにしない
        segment.momentary = false
        // 0番目の選択肢を選択できないように
        segment.setEnabled(false, forSegmentAtIndex: 0)
        // 3番目の選択肢の幅を80ピクセルに
        segment.setWidth(80.0, forSegmentAtIndex: 3)
        //segment.setImage(UIImage(named:"images/mini.png"), forSegmentAtIndex:3)
        segment.tintColor = UIColor.grayColor()
        
        self.view.addSubview(segment)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
