//
//  SliderViewController.swift
//  UI
//
//

import UIKit

class SliderViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // スライダーを生成
        let slider : UISlider = UISlider(frame:CGRectMake(60,100,200,20))
        // 最小値を指定
        slider.minimumValue = 0.0
        // 既定の選択値を指定
        slider.maximumValue = 100.0
        // 既定の選択値を指定
        slider.value = slider.maximumValue/3
        // 画面に追加
        self.view.addSubview(slider)
        
        // スライダーの目印
        slider.setThumbImage(UIImage(named: "images/ball1.png"), forState: UIControlState.Normal)
        
        slider.setThumbImage(UIImage(named: "images/ball2.png"), forState: UIControlState.Highlighted)
        
        // 右側の背景
        slider.setMaximumTrackImage(UIImage(named: "images/bluebar.png")?.resizableImageWithCapInsets(UIEdgeInsetsMake(100, 20, 50, 20)), forState: UIControlState.Normal)
        
        // 左側の背景
        slider.setMinimumTrackImage(UIImage(named: "images/redbar.png")?.resizableImageWithCapInsets(UIEdgeInsetsMake(100, 20, 50, 20)), forState: UIControlState.Normal)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
