//
//  TabBarItemsViewController.swift
//  UI
//
//

import UIKit

class TabBarItemsViewController: UIViewController, UITabBarDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // バッヂを付けたアイテム
        let tabBarItem1 : UITabBarItem = UITabBarItem(title: "Home", image: UIImage(named: "images/heart.png"), tag: 0)
        tabBarItem1.badgeValue = "100"
        
        let tabBarItem2 : UITabBarItem = UITabBarItem(tabBarSystemItem: UITabBarSystemItem.Favorites, tag: 1)
        
        let tabBarItem3 : UITabBarItem = UITabBarItem(tabBarSystemItem: UITabBarSystemItem.Contacts, tag: 2)
        tabBarItem3.badgeValue = "info"
        
        let tabBar : UITabBar = UITabBar(frame: CGRectMake(0.0, 360, self.view.bounds.size.width, 49.0))
        
        // タブバーのアイテムを指定
        tabBar.items = [tabBarItem1,tabBarItem2,tabBarItem3]
        tabBar.delegate = self
        tabBar.translucent = false
        tabBar.barStyle = UIBarStyle.Default
        // アイテム選択時の色、背景色を指定
        //tabBar.tintColor = UIColor.redColor()
        //tabBar.barTintColor = UIColor.grayColor()
        tabBar.selectedItem = tabBarItem1
        self.view.addSubview(tabBar)
    }

    // アイテム選択時の処理
    func tabBar(tabBar: UITabBar,
        didSelectItem item: UITabBarItem){
            print(item.tag)
            // バッヂを消す
            item.badgeValue = nil
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
