//
//  TextFieldDetailViewController.swift
//  UI
//
//

import UIKit

class TextFieldDetailViewController: UIViewController, UITextFieldDelegate {

    @IBOutlet var textField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        textField.placeholder = "検索ワード"
        textField.keyboardType = UIKeyboardType.Default
        textField.returnKeyType = UIReturnKeyType.Google
        
        //textField.returnKeyType = UIReturnKeyType.Default
        //textField.returnKeyType = UIReturnKeyType.Go	//開く
        //textField.returnKeyType = UIReturnKeyType.Google	//Googleでの検索.bmp
        //textField.returnKeyType = UIReturnKeyType.Join	//接続
        //textField.returnKeyType = UIReturnKeyType.Next	//次へ
        //textField.returnKeyType = UIReturnKeyType.Route	//経路
        //textField.returnKeyType = UIReturnKeyType.Search	//検索
        //textField.returnKeyType = UIReturnKeyType.Send	//送信
        //textField.returnKeyType = UIReturnKeyType.Yahoo	//Yahooでの検索	bmp
        //textField.returnKeyType = UIReturnKeyType.Done	//完了
        //textField.returnKeyType = UIReturnKeyType.EmergencyCall	//緊急電話
        
        textField.delegate = self
    }
    
    // リターンキー押下時にキーボードを消す
    func textFieldShouldReturn(textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    // 入力開始時
    func textFieldDidBeginEditing(textField: UITextField){
        print("入力を開始しました")
    }
    
    // 編集終了時
    func textFieldDidEndEditing(textField: UITextField){
        // 入力文字列の取得
        print(textField.text)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
