//
//  TextFieldViewController.swift
//  UI
//
//

import UIKit
import Foundation

class TextFieldViewController: UIViewController {
    
    @IBOutlet weak var textField: UITextField!
    
    override init(nibName: String?,
        bundle nibBundle: NSBundle?){
            
        super.init(nibName: nibName, bundle: nibBundle)
    }

    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        textField.text = "Text"
        // フォントと文字サイズを指定
        textField.font = UIFont(name: "Arial", size: 18.0)
        // 文字の色を指定
        textField.textColor = UIColor.redColor()
        // 横揃えの位置を中央に指定
        textField.textAlignment = NSTextAlignment.Center
        textField.textAlignment = NSTextAlignment.Left
        textField.textAlignment = NSTextAlignment.Right
        
        let textField2 : UITextField = UITextField(frame:CGRectMake(20, 150, 120, 20))
        textField2.text = "text"
        textField2.font = UIFont(name: "Arial", size: 12.0)
        textField2.borderStyle = UITextBorderStyle.RoundedRect
        self.view.addSubview(textField2)
        
        let textField3 : UITextField = UITextField(frame:CGRectMake(20, 200, 120, 20))
        textField3.text = "text"
        textField3.font = UIFont(name: "Arial", size: 12.0)
        textField3.borderStyle = UITextBorderStyle.Line
        self.view.addSubview(textField3)
        
        let textField4 : UITextField = UITextField(frame:CGRectMake(20, 250, 120, 20))
        textField4.text = "text"
        textField4.font = UIFont(name: "Arial", size: 12.0)
        textField4.borderStyle = UITextBorderStyle.Bezel
        self.view.addSubview(textField4)
        
        let textField5 : UITextField = UITextField(frame:CGRectMake(20, 300, 120, 20))
        textField5.text = "text"
        textField5.font = UIFont(name: "Arial", size: 12.0)
        textField5.borderStyle = UITextBorderStyle.None
        self.view.addSubview(textField5)
    }
    
    override func viewWillAppear(animated: Bool) {
        super.viewWillAppear(animated)
    }
}