//
//  ToolbarItemsViewController.swift
//  UI
//
//

import UIKit

class ToolbarItemsViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        
        let item1 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.Plain, target: self, action: "action:")
        
        let item2 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.Plain, target: self, action: "action:")
        
        item2.tintColor = UIColor.blackColor()
        
        let item3 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.Done, target: self, action: "action:")
        
        let flexItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.FlexibleSpace, target: nil, action: nil)
        
        // 画像を利用したボタン
        let imgItem : UIBarButtonItem = UIBarButtonItem(image: UIImage(named: "images/star.png"), style: UIBarButtonItemStyle.Plain, target: self, action: "action:")
        
        // 固定スペース
        let fixedItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.FixedSpace, target: nil, action: nil)
        fixedItem.width = 30
        
        // 「追加」のボタン
        let systemItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.Add , target: self, action: "action:")
        
        // ツールバーを生成
        let toolbar : UIToolbar = UIToolbar(frame: CGRectMake(0, 320, self.view.bounds.size.width, 44))
        
        //toolbar.barStyle = UIBarStyleBlack
        // アイテムの文字色／バーの背景色を指定
        //toolbar.tintColor = UIColor.grayColor()
        //toolbar.barTintColor = UIColor.redColor()
        // 透明度の適応を指定
        toolbar.translucent = true
        // ボタンを指定
        toolbar.items = [item1, item2, item3, flexItem, imgItem, fixedItem, systemItem]
        self.view.addSubview(toolbar)
    }

    func action(sender:UIBarButtonItem){
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
