//
//  TabViewController.swift
//  VC
//
//

import UIKit

// UITabBarControllerを継承したビューコントローラー
class TabViewController:UITabBarController{ 

    var view1Controller : View1Controller?
    var view2Controller : View2Controller?
    var view3Controller : View3Controller?
    
    // 画面表示時の処理
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        
        self.title = "Tab Sample"
        
        view1Controller = View1Controller(nibName : nil, bundle : nil)
        view1Controller!.tabBarItem.title = "view1"
        
        view2Controller = View2Controller(nibName : nil, bundle : nil)
        view2Controller!.tabBarItem.title = "view2"
        
        // 画像を指定
        view2Controller!.tabBarItem.image = UIImage(named: "note.png")
        // バッジを指定
        view2Controller!.tabBarItem.badgeValue = "10"
        
        view3Controller = View3Controller(nibName : nil, bundle : nil)
        view3Controller!.tabBarItem.title = "view3"
        
        // ビューコントローラーの配列
        let vcList : Array<UIViewController> = [ view1Controller!, view2Controller!, view3Controller!]
        
        self.setViewControllers(vcList, animated: false)
        
        // プロパティを使う場合
        // self.viewControllers = vcList
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    
    func tabBarController(_tabBarController: UITabBarController,
        shouldSelectViewController viewController: UIViewController) -> Bool
    {
        // 選択されたビューコントローラーによってタイトルを変える
        if viewController.isKindOfClass(View1Controller)  {
            self.title = "view1"
        }
        else if(viewController.isKindOfClass(View2Controller)) {
            self.title = "view2"
        }
        else if(viewController.isKindOfClass(View3Controller)) {
            self.title = "view3"
        }
        else{
            self.title = ""
        }
        return true
    }
    
    func tabBarController(_tabBarController: UITabBarController,
        didSelectViewController viewController: UIViewController)
    {
        
    }
    
    func tabBarController(_tabBarController: UITabBarController,
        willBeginCustomizingViewControllers viewControllers: [AnyObject])
    {
        
    }
    
    func tabBarController(_tabBarController: UITabBarController,
        willEndCustomizingViewControllers viewControllers: [AnyObject],
        changed: Bool)
    {
        
    }
    
    func tabBarController(_tabBarController: UITabBarController,
        didEndCustomizingViewControllers viewControllers: [AnyObject],
        changed: Bool)
    {
        
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */
}
