//
//  TableStyleViewController.swift
//  VC
//
//

import Foundation
import UIKit

class TableStyleViewController: UITableViewController
{
    
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, String>> = Array<Dictionary<String, String>>()
    var items: Array<String> = Array<String>()
    
    required init(coder aDecoder: NSCoder) {
        //fatalError("init(coder:) has not been implemented")
        super.init(coder: aDecoder)!
    }
    
    override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: NSBundle?)
    {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
    }
    
    override init(style : UITableViewStyle)
    {
        super.init(style: style)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
         // テーブルに表示するデータ
        items = ["Item1","Item2","Item3"]
    }
    
    override func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    override func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return items.count
    }
    
    // テーブルのセルのデータを指定
    override func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            // セルを生成
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            // セルのタイトルに○番目に該当するデータを指定
            cell?.textLabel?.text = items[indexPath.row]
            return cell!
    }
    
    // テーブルのセル選択時の処理
    override func tableView(tableView: UITableView?, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        // セルのデータを取得して次画面を表示
        let labelViewController : LabelViewController = LabelViewController()
        labelViewController.text = items[indexPath.row]
        self.navigationController?.pushViewController(labelViewController, animated: true)
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}