//
//  TableViewController.swift
//  VC
//
//

import UIKit

class TableViewController: UITableViewController
{

    let kCellIdentifier = "CellIdentifier"
    var sections: Array<String> = Array<String>()
    var menuList: Array<Array<String>> = Array<Array<String>>()
    
    required init(coder aDecoder: NSCoder) {
        //fatalError("init(coder:) has not been implemented")
        super.init(coder: aDecoder)!
    }
    
    override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: NSBundle?)
    {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // セクションの見出し
        sections = ["section1", "section2"]
        // セルに表示するデータ
        menuList.append(["item1_1", "item1_2"])
        menuList.append(["item2_1", "item2_2", "item2_3"])
    }
    
    override func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    // セクションの数
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int
    {
        return sections.count
    }
    
    // セクション内のセルの数
    override func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return menuList[section].count
    }
    
    // セクションのタイトルを指定
    override func tableView(_tableView: UITableView,
        titleForHeaderInSection section: Int) -> String?
    {
        return sections[section]
    }
    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            
            var cell = tableView.dequeueReusableCellWithIdentifier(
                kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: kCellIdentifier)
            }
            let cellTitle = menuList[indexPath.section][indexPath.row]
            cell!.textLabel?.text = cellTitle
            return cell!
    }
    
    override func tableView(tableView: UITableView?, didSelectRowAtIndexPath indexPath:NSIndexPath) {
        /*
        var multitouchViewController = MultitouchViewController(nibName : "MultitouchViewController", bundle : nil)
        //self.navigationController.pushViewController(textFieldViewController, animated: true)
        self.navigationController?.pushViewController(multitouchViewController, animated: true)
        */
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}