//
//  ViewController.swift
//  VC
//
//

import UIKit

class ViewController: UIViewController {

    var pageLabel : UILabel?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // 画面タイトルの指定
        self.title = "画面タイトル"
        // ビューの背景色を指定
        self.view.backgroundColor = UIColor.whiteColor()
        
        // ラベルを表示
        pageLabel = UILabel()
        pageLabel!.frame = CGRectMake(20, 80, self.view.bounds.size.width, 20)
        pageLabel!.backgroundColor = UIColor.clearColor()
        pageLabel!.text = "ViewController"
        self.view.addSubview(pageLabel!)
        
        let button : UIButton = UIButton(type: UIButtonType.System)
        button.frame = CGRectMake(124,340,73,44)
        button.backgroundColor = UIColor.grayColor()
        button.setTitle("Button", forState: .Normal)
        button.setTitleColor(UIColor.whiteColor(), forState: .Normal)
        button.addTarget(self, action: "onPush:", forControlEvents:.TouchUpInside)
        self.view.addSubview(button)
        
        // 画面を遷移するボタンを追加
        let nbutton : UIButton = UIButton(type: UIButtonType.System)
        nbutton.frame = CGRectMake(224,340,73,44)
        nbutton.backgroundColor = UIColor.grayColor()
        nbutton.setTitle("Next", forState: .Normal)
        nbutton.setTitleColor(UIColor.whiteColor(), forState: .Normal)
        nbutton.addTarget(self, action: "onNext:", forControlEvents:.TouchUpInside)
        self.view.addSubview(nbutton)
        
        // ラベルを削除するボタンを追加
        let rbutton : UIButton = UIButton(type: UIButtonType.System)
        rbutton.frame = CGRectMake(124,400,73,44)
        rbutton.backgroundColor = UIColor.grayColor()
        rbutton.setTitle("Remove", forState: .Normal)
        rbutton.setTitleColor(UIColor.whiteColor(), forState: .Normal)
        rbutton.addTarget(self, action: "onRemove:", forControlEvents:.TouchUpInside)
        self.view.addSubview(rbutton)
        
        // ナビゲーションバーの非表示
        //self.navigationController?.setNavigationBarHidden(true, animated: true)
        
        // ツールバーの表示
        //self.navigationController?.setToolbarHidden(false, animated: true)
    }
    
    // ボタン押下時の処理
    func onPush(sender: UIButton){
        
        let modalViewController : ModalViewController = ModalViewController(nibName : nil, bundle : nil)
        
        // 下から表示（既定）
        modalViewController.modalTransitionStyle = UIModalTransitionStyle.CoverVertical
        
        // 浮かび上がって表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.CrossDissolve
        
        // 回転して表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.FlipHorizontal
        
        // めくれて表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.PartialCurl
        
        self.presentViewController(modalViewController, animated: true, completion:
            {
                modalViewController.view.backgroundColor = UIColor.redColor()
            }
        )
    }
    
    // ボタ押下時の処理
    func onNext(sender: UIButton){
        // 画面を追加
        let view2Controller : View2Controller = View2Controller(nibName : nil, bundle : nil)
        self.view.addSubview(view2Controller.view)
    }
    
    func onRemove(sender: UIButton){
        // ラベルを削除
        pageLabel!.removeFromSuperview()
    }
    // メモリ不足時の処理
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}

