//
//  ActivityViewController.swift
//  View
//
//

import UIKit

class ActivityViewController: UIViewController {

    @IBOutlet var activityIndicator: UIActivityIndicatorView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // スタイルを指定
        activityIndicator.activityIndicatorViewStyle = UIActivityIndicatorViewStyle.WhiteLarge
        activityIndicator.activityIndicatorViewStyle = UIActivityIndicatorViewStyle.White
        activityIndicator.activityIndicatorViewStyle = UIActivityIndicatorViewStyle.Gray
        
        activityIndicator.color = UIColor.grayColor()
        
        // 停止した場合に非表示にする
        activityIndicator.hidesWhenStopped = true
        // 起動
        activityIndicator.startAnimating()
    }

    
    @IBAction func onStart(sender: AnyObject) {
        // 停止している場合に開始
        if !activityIndicator.isAnimating() {
            activityIndicator.startAnimating()
        }
    }
    
    
    @IBAction func onStop(sender: AnyObject) {
        // 起動している場合に停止
        if activityIndicator.isAnimating() {
            activityIndicator.stopAnimating()
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
