//
//  AffineViewController.swift
//  View
//
//

import UIKit

class AffineViewController: UIViewController {

    @IBOutlet var imageView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }
    
    // 45度回転
    @IBAction func _rotate(sender: AnyObject) {
        imageView.transform = CGAffineTransformMakeRotation(CGFloat(45.0 * (M_PI / 180.0)))
    }
    
    // 1.5倍に拡大
    @IBAction func _scale(sender: AnyObject) {
        imageView.transform = CGAffineTransformMakeScale(1.5, 1.5)
    }
    
    // x, y 方向に50移動
    @IBAction func _move(sender: AnyObject) {
        imageView.transform = CGAffineTransformMakeTranslation(50.0, 50.0)
    }
    
    // マトリクスを適応
    @IBAction func _matrix(sender: AnyObject) {
        imageView.transform = CGAffineTransformMake(1, 0, 0, -1, 0, imageView.bounds.size.height)
    }
    
    // 適応前の状態に戻す
    @IBAction func _reset(sender: AnyObject) {
        imageView.transform = CGAffineTransformIdentity
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
