//
//  AnimationViewController.swift
//  View
//
//

import UIKit

class AnimationViewController: UIViewController {

    var viewA : UIView?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        viewA = UIView(frame: CGRectMake(60, 60, 60, 80))
        viewA!.backgroundColor = UIColor.grayColor()
        
        self.view.addSubview(viewA!)
        
    }
    // ボタン押下時の処理
    @IBAction func start(sender: AnyObject) {
        
        // アニメーションを開始
        UIView.animateWithDuration(
            // 1秒待って開始、3秒かけて最初はゆるやかに最後は一定の動きに
            3,
            delay: 1,
            options: UIViewAnimationOptions.CurveEaseIn,
            animations: {
              // ビューの位置、サイズの拡大、背景色の変更、透明度の変化を指定する
              self.viewA?.backgroundColor = UIColor.blueColor()
              self.viewA?.frame = CGRectMake(200.0, 300.0, 70.0, 70.0)
            }, completion: {
                // 完了時の処理
                (finished: Bool) in
                // 背景を黒に
                self.viewA?.backgroundColor = UIColor.blackColor()
            })
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
