//
//  ContentModeViewController.swift
//  View
//
//

import UIKit

class ContentModeViewController: UIViewController, UIPickerViewDelegate, UIPickerViewDataSource {

    var imageView : UIImageView?
    var picker : UIPickerView?
    var items : Array<String>?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
        
        imageView = UIImageView(image: UIImage(named: "sample.jpg"))
        imageView!.frame = CGRectMake( 0, 60, 320, 240 )
        imageView!.contentMode = UIViewContentMode.ScaleToFill
        imageView!.contentMode = UIViewContentMode.ScaleAspectFit
        imageView!.contentMode = UIViewContentMode.BottomLeft
        imageView!.contentMode = UIViewContentMode.Center
        self.view.addSubview(imageView!)
        
        
        picker = UIPickerView()
        picker!.delegate = self
        picker!.showsSelectionIndicator = true
        picker!.frame = CGRectMake(0,320,self.view.bounds.size.width,120)
        self.view.addSubview(picker!)
        
        items = ["UIViewContentMode.ScaleToFill",
                    "UIViewContentMode.ScaleAspectFit",
                    "UIViewContentMode.ScaleAspectFill",
                    "UIViewContentMode.Redraw",
                    "UIViewContentMode.Center",
                    "UIViewContentMode.Top",
                    "UIViewContentMode.Bottom",
                    "UIViewContentMode.Left",
                    "UIViewContentMode.Right",
                    "UIViewContentMode.TopLeft",
                    "UIViewContentMode.TopRight",
                    "UIViewContentMode.BottomLeft",
                    "UIViewContentMode.BottomRight"]
        
    }

    func numberOfComponentsInPickerView(pickerView: UIPickerView) -> Int {
        return 1
    }
    
    func pickerView(pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        return items!.count
    }
    func pickerView(pickerView: UIPickerView, titleForRow row: Int,forComponent component: Int) -> String? {
        return items![row] as String
    }
    
    
    func pickerView(pickerView: UIPickerView, viewForRow row: Int, forComponent component: Int, reusingView view: UIView?) -> UIView{
        
        var label = view as? UILabel
        
        if label == nil {
            label = UILabel(frame:CGRectMake(0.0, 0.0, pickerView.rowSizeForComponent(component).width, pickerView.rowSizeForComponent(component).height))
            
        }
        
        label!.text = items![row] as String
        label!.font = UIFont(name: "Arial Rounded MT Bold", size: 16.0)
        label!.backgroundColor = UIColor.clearColor()
        label!.textAlignment = NSTextAlignment.Center
        return label!
    }
    
    func pickerView(pickerView: UIPickerView, didSelectRow row: Int, inComponent component: Int) {
        
        imageView!.contentMode = UIViewContentMode(rawValue: row)!
    }

    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
