//
//  MotionEffectViewController.swift
//  View
//
//

import UIKit

class MotionEffectViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let viewA : UIView = UIView(frame: CGRectMake(0, 0, 60, 60))
        viewA.backgroundColor = UIColor.grayColor()
        viewA.center = self.view.center
        
        // 水平方向のモーションエフェクトを生成
        let xMotion = UIInterpolatingMotionEffect(keyPath: "center.x", type: .TiltAlongHorizontalAxis)
        // 左右の動きの幅を指定
        xMotion.minimumRelativeValue = -100.0
        xMotion.maximumRelativeValue = 100.0
        
        // 垂直方向のモーションエフェクトを生成
        let yMotion = UIInterpolatingMotionEffect(keyPath: "center.y", type: .TiltAlongVerticalAxis)
        // 上下の動きの幅を指定
        yMotion.minimumRelativeValue = -100.0
        yMotion.maximumRelativeValue = 100.0
        
        // モーションエフェクトを指定
        viewA.motionEffects = [xMotion, yMotion]
        self.view.addSubview(viewA)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
