//
//  ProgressViewController.swift
//  View
//
//

import UIKit

class ProgressViewController: UIViewController {

    @IBOutlet var label: UILabel!
    
    @IBOutlet var progressView: UIProgressView!
    @IBOutlet var startBtn: UIButton!
    
    var time : Float = 0.0
    weak var timer: NSTimer?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // プログレスバーのスタイルと初期値を設定
        //progressView.progressViewStyle = UIProgressViewStyle.Bar
        progressView.progressViewStyle = UIProgressViewStyle.Default
        progressView.progress = 0.0
        label.text = ""
    }
    
    @IBAction func startProgres(sender: AnyObject) {
        //初期値を0に
        progressView.progress = 0
        // 0.1秒のインターバルでprogress:メソッドを実行
        timer = NSTimer.scheduledTimerWithTimeInterval(0.1, target: self, selector:Selector("progress"), userInfo: nil, repeats: true)
    }
    
    func progress() {
        
        time += 0.005
        if time >= 1.00 { timer!.invalidate() }
        
        // プログレスバーに加算
        progressView.setProgress(time, animated: true)
        
        // ラベルの表示を更新
        label.text = "\(round(time * 100.0))%"
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
