//
//  ScrollViewController.swift
//  View
//
//

import UIKit

class ScrollViewController: UIViewController, UIScrollViewDelegate {

    @IBOutlet var scrollView: UIScrollView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // コンテンツのサイズを指定
        scrollView.contentSize = CGSizeMake(640.0, 600.0)
        scrollView.scrollEnabled = true
        // スタイルを指定
        scrollView.indicatorStyle = UIScrollViewIndicatorStyle.Black
        // 最大倍率は10倍
        scrollView.maximumZoomScale = 10.0
        // 最小倍率は1/3倍
        scrollView.minimumZoomScale = 0.33333
        // デリゲートを指定
        scrollView.delegate = self
        // ページングさせない
        scrollView.pagingEnabled = false
        // スクロールの終端でバウンドさせる
        scrollView.bounces = true
        // 鉾方向スクロールバーの表示
        scrollView.showsHorizontalScrollIndicator = true
        // 立て方向スクロールバーの表示
        scrollView.showsVerticalScrollIndicator = true
        // 最上部タップでスクロールを戻す
        scrollView.scrollsToTop = true
        // 初回表示は1/3倍で
        scrollView.zoomScale = 0.33333
        
        let imageView : UIImageView = UIImageView(image : UIImage(named: "scroll.jpg"))
        
        // スクロール内に画像を配置
        scrollView.addSubview(imageView)
    }
    
    func scrollViewDidScroll(scrollView: UIScrollView){
        print("スクロール中")
    }
    
    func scrollViewDidEndScrollingAnimation(scrollView: UIScrollView){
        print("スクロール中")
    }
    
    func scrollViewDidEndDragging(scrollView: UIScrollView,
        willDecelerate decelerate: Bool){
        print("スクロール終了")
    }

    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
