//
//  TableAccessoryViewController.swift
//  View
//
//

import UIKit

class TableAccessoryViewController: UIViewController, UITableViewDelegate, UITableViewDataSource  {
    
    var textLabels: Array<String> = Array<String>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
        
        textLabels = ["textLabel1", "textLabel2", "textLabel3", "textLabel4", "textLabel5"]
        
        tableView = UITableView(frame: self.view.bounds, style: UITableViewStyle.Plain)
        tableView!.delegate = self
        tableView!.dataSource = self
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    // セクションの数
    func numberOfSectionsInTableView(tableView: UITableView) -> Int
    {
        return 1
    }
    
    // セクション内のセルの数
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return textLabels.count
    }
    
    // セルを表示するメソッド
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            
            let CellIdentifier : String = "Cell"
            var cell = tableView.dequeueReusableCellWithIdentifier(
                CellIdentifier)
            
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: CellIdentifier)
            }
            
            switch(indexPath.row){
            case 0:
                // アクセサリなし
                cell!.accessoryType = UITableViewCellAccessoryType.None
                
            case 1:
                // 矢印
                cell!.accessoryType = UITableViewCellAccessoryType.DisclosureIndicator
                
            case 2:
                // 二重丸で囲まれた矢印
                cell!.accessoryType = UITableViewCellAccessoryType.DetailDisclosureButton
                
            case 3:
                // チェックマーク
                cell!.accessoryType = UITableViewCellAccessoryType.Checkmark
                
            case 4:
                // 詳細ボタン
                cell!.accessoryType = UITableViewCellAccessoryType.DetailButton
            default:
                break
            }
            
            // Configure the cell...
            cell!.textLabel?.text = textLabels[indexPath.row]
            return cell!
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
