//
//  TableViewController.swift
//  View
//
//

import UIKit

class TableViewController: UIViewController, UITableViewDelegate, UITableViewDataSource  {

    var items: Array<String> = Array<String>()
    var tableView: UITableView?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        items = ["Menu1", "Menu2", "Menu3", "Menu4", "Menu5", "Menu6"]
        
        // テーブルの初期化
        tableView = UITableView(frame: self.view.bounds, style: UITableViewStyle.Grouped)
        tableView!.delegate = self
        tableView!.dataSource = self
        
        // 区切り線を指定
        tableView!.separatorStyle = UITableViewCellSeparatorStyle.SingleLine
        
        // セルの高さを指定
        tableView!.rowHeight = 50.0
        
        self.view.addSubview(tableView!)
    }
    
    func tableView(tableView: UITableView,
        heightForRowAtIndexPath indexPath:  NSIndexPath) -> CGFloat {
            return 50
    }
    
    // セクションの数
    func numberOfSectionsInTableView(tableView: UITableView) -> Int
    {
        return 1
    }
    
    // セクション内のセルの数
    func tableView(tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return items.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath
        indexPath: NSIndexPath) -> UITableViewCell {
            
            let CellIdentifier : String = "Cell"
            var cell = tableView.dequeueReusableCellWithIdentifier(
                CellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.Default,
                    reuseIdentifier: CellIdentifier)
            }
            let cellTitle = items[indexPath.row]
            cell!.textLabel?.text = cellTitle
            return cell!
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
