//
//  WebViewController.swift
//  View
//
//

import UIKit

class WebViewController: UIViewController, UIWebViewDelegate {

    @IBOutlet var webView: UIWebView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // リクエスト先のURLを指定してNSURLRequestオブジェクトを生成
        let url : NSURL = NSURL(string: "http://www.apple.co.jp")!
        let request : NSURLRequest = NSURLRequest(URL: url)
        
        // 拡大縮小を可能に
        webView.scalesPageToFit = true
        // スクロールビューにアクセス スクロールさせない 
        webView.scrollView.scrollEnabled = false
        // デリゲートを指定
        webView.delegate = self
        // HTTPリクエストの送信
        webView.loadRequest(request)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    @IBAction func back(sender: AnyObject) {
        // 前画面に戻れる場合は戻る
        if webView.canGoBack { webView.goBack() }
    }
    
    
    @IBAction func forward(sender: AnyObject) {
        // 次画面に進める場合は進む
        if webView.canGoForward { webView.goForward() }
    }
    
    
    @IBAction func reload(sender: AnyObject) {
        // 読み込み中でなければ更新
        if webView.loading { webView.reload() }
    }
    
    
    @IBAction func stop(sender: AnyObject) {
        // 読み込み中であれば読み込みを停止 
        if webView.loading { webView.stopLoading() }
    }
    
    // 読み込み開始時にネットワークインジケーターを表示
    func webViewDidStartLoad(webView: UIWebView){
        UIApplication.sharedApplication().networkActivityIndicatorVisible = true
    }
    
    // 読み込み終了時にネットワークインジケーターを非表示
    func webViewDidFinishLoad(webView: UIWebView){
        UIApplication.sharedApplication().networkActivityIndicatorVisible = false
    }
    
    // リクエスト時にリクエストの種類とURLを取得
    func webView(webView: UIWebView,
        shouldStartLoadWithRequest request: NSURLRequest,
        navigationType: UIWebViewNavigationType) -> Bool{
        
        print(navigationType)
        
        // URLをNSString型で取得
            let requestString : String! = request.URL?.absoluteString
            
            print(requestString)
        
        return true
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */
}
